<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.env.input.mapper.TerminalPortMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.huimv.env.input.entity.TerminalPort">
        <id column="id" property="id" />
        <result column="device_code" property="deviceCode" />
        <result column="terminal_id" property="terminalId" />
        <result column="location_id" property="locationId" />
        <result column="farm_id" property="farmId" />
        <result column="voltage" property="voltage" />
        <result column="electric_current" property="electricCurrent" />
        <result column="temp" property="temp" />
        <result column="leakage_value" property="leakageValue" />
        <result column="active_power" property="activePower" />
        <result column="reactive_power" property="reactivePower" />
        <result column="apparent_power" property="apparentPower" />
        <result column="height_temp_warning" property="heightTempWarning" />
        <result column="charging_warning" property="chargingWarning" />
        <result column="leakage_warning" property="leakageWarning" />
        <result column="update_time" property="updateTime" />
        <result column="status" property="status" />
    </resultMap>

</mapper>
